### Signal

# GimpUi ResourceChooser::resource-set

unstable since: 3.0

#### Declaration

    void
    resource_set (
      GimpResourceChooser* self,
      GObject* resource,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::resource-set signal is emitted when the user selects a resource.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 3.0

#### Parameters

`resource`

  Type: `GObject`

  The currently selected resource.

  The data is owned by the caller of the function.

`dialog_closing`

  Type: `gboolean`

  Whether the dialog was closed or not.